CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Test Member List

This is the complete list of members for Test, including all inherited members.

checkIsValidIndex(int index) const | Test | protected virtual
countTestCases() const =0 | Test | pure virtual
doGetChildTestAt(int index) const =0 | Test | protected pure virtual
findTest(const std::string &testName) const | Test | virtual
findTestPath(const std::string &testName, TestPath &testPath) const | Test | virtual
findTestPath(const Test *test, TestPath &testPath) const | Test | virtual
getChildTestAt(int index) const | Test | virtual
getChildTestCount() const =0 | Test | pure virtual
getName() const =0 | Test | pure virtual
resolveTestPath(const std::string &testPath) const | Test | virtual
run(TestResult *result)=0 | Test | pure virtual
~Test() | Test | inline virtual

| Send comments to: CppUnit Developers